RequestWrapper (Java Platform SE 8 )
Keywords: javax.xml.ws.RequestWrapper class
Date: 2017-01-22

javax.xml.ws

## Annotation Type RequestWrapper

-     @Target(value=METHOD)
       @Retention(value=RUNTIME)
       @Documented
      public @interface RequestWrapper

  Used to annotate methods in the Service Endpoint Interface with the request wrapper bean to be used at runtime. The default value of the `localName` is the `operationName`, as defined in `WebMethod` annotation and the `targetNamespace` is the target namespace of the SEI.

  When starting from Java this annotation is used resolve overloading conflicts in document literal mode. Only the `className` is required in this case.

  Since:
    JAX-WS 2.0

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String` | `className` Request wrapper bean name.
    `String` | `localName` Element's local name.
    `String` | `partName` wsdl:part name for the wrapper part
    `String` | `targetNamespace` Element's namespace name.

- - ### Element Detail

    - #### localName

          public abstract String localName

      Element's local name.
      Default:
        ""

  - - #### targetNamespace

          public abstract String targetNamespace

      Element's namespace name.
      Default:
        ""

  - - #### className

          public abstract String className

      Request wrapper bean name.
      Default:
        ""

  - - #### partName

          public abstract String partName

      wsdl:part name for the wrapper part
      Since:
        JAX-WS 2.2
      Default:
        ""

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.